var player;
module =
{
    name: "BaguetteNoFall",
    description: "Don't take damage",
    author: "Du_Couscous",
	category: "Azuric",
	values:
	[
		blocksFallen = value.createInteger("MinBlocksFallen", 6, 4, 16),
		autoDisable = value.createBoolean("AutoDisable", true)
	],
    onMotion: function(e) {
		player = mc.thePlayer;
		BaguetteNoFallModule.tag = "§8[" + "§b" + blocksFallen.get().toString() + "§8]"
	    if (!(mc.theWorld.isAirBlock(new BlockPos(player.posX, player.posY + player.motionY, player.posZ))) && (player.fallDistance >= blocksFallen.get())) {
			player.setPosition(player.posX, player.posY - 2, player.posZ);
			if (autoDisable.get()) moduleManager.getModule("BaguetteNoFall").setState(false);
		}
	}
}
script.import("Core.lib");